[gtk/bump-pango: 1/2] Bump Pango dep




commit bea4aa31ea020226f0f77adff07b62753c50f975
Author: Matthias Clasen <mclasen redhat com>
Date:   Sun Aug 22 15:19:18 2021 -0400

    Bump Pango dep
    
    Require Pango 1.49, so we can support new attributes
    without too much ifdeffery.

 .gitlab-ci/test-msys2.sh | 4 ++--
 meson.build              | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/.gitlab-ci/test-msys2.sh b/.gitlab-ci/test-msys2.sh
index d9bc637bdc..a7a907d8dc 100644
--- a/.gitlab-ci/test-msys2.sh
+++ b/.gitlab-ci/test-msys2.sh
@@ -40,7 +40,7 @@ export CCACHE_DIR="${CCACHE_BASEDIR}/_ccache"
 # https://gitlab.gnome.org/GNOME/gtk/-/issues/2243
 # https://gitlab.gnome.org/GNOME/gtk/-/issues/3002
 
-if ! pkg-config --atleast-version=2.65.0 glib-2.0; then
+if ! pkg-config --atleast-version=2.66.0 glib-2.0; then
     git clone https://gitlab.gnome.org/GNOME/glib.git _glib
     meson setup _glib_build _glib
     meson compile -C _glib_build
@@ -48,7 +48,7 @@ if ! pkg-config --atleast-version=2.65.0 glib-2.0; then
 fi
 pkg-config --modversion glib-2.0
 
-if ! pkg-config --atleast-version=1.47.0 pango; then
+if ! pkg-config --atleast-version=1.49.0 pango; then
     git clone https://gitlab.gnome.org/GNOME/pango.git _pango
     meson setup _pango_build _pango
     meson compile -C _pango_build
diff --git a/meson.build b/meson.build
index 310df265df..c6c69c8504 100644
--- a/meson.build
+++ b/meson.build
@@ -11,7 +11,7 @@ project('gtk', 'c',
         license: 'LGPL-2.1-or-later')
 
 glib_req           = '>= 2.66.0'
-pango_req          = '>= 1.47.0' # keep this in sync with .gitlab-ci/test-msys.sh
+pango_req          = '>= 1.49.0' # keep this in sync with .gitlab-ci/test-msys.sh
 fribidi_req        = '>= 0.19.7'
 cairo_req          = '>= 1.14.0'
 gdk_pixbuf_req     = '>= 2.30.0'


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]